org.apache.fop.render

## Class DefaultRendererConfigurator

- java.lang.Object
- - org.apache.fop.render.AbstractRendererConfigurator
  - - org.apache.fop.render.PrintRendererConfigurator
    - - org.apache.fop.render.DefaultRendererConfigurator

All Implemented Interfaces:
  IFDocumentHandlerConfigurator

Direct Known Subclasses:
  Java2DRendererConfigurator, PDFRendererConfigurator, PSRendererConfigurator, TXTRendererConfigurator

    public class DefaultRendererConfigurator
    extends PrintRendererConfigurator

This object represents the default renderer configurator and contains the methods for most the RendererConfigurators.

### Field Summary

### Fields inherited from class org.apache.fop.render.AbstractRendererConfigurator

`userAgent`

### Constructor Summary

Constructors
Constructor and Description
`DefaultRendererConfigurator(FOUserAgent userAgent, RendererConfig.RendererConfigParser rendererConfigParser)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected List<FontCollection>` `getDefaultFontCollection()`

### Methods inherited from class org.apache.fop.render.PrintRendererConfigurator

`configure, configure, createCollectionFromFontList, createDefaultInstance, getCustomFontCollection, getRendererConfig, getRendererConfig, getRendererConfig, setupFontInfo`

### Methods inherited from class org.apache.fop.render.AbstractRendererConfigurator

`getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultRendererConfigurator

    public DefaultRendererConfigurator(FOUserAgent userAgent,
                                       RendererConfig.RendererConfigParser rendererConfigParser)

### Method Detail

#### getDefaultFontCollection

    protected List<FontCollection> getDefaultFontCollection()

Specified by:
  `getDefaultFontCollection` in class `PrintRendererConfigurator`